# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "arthouse"
version = "1.0.1"
description = "Art-Net (DMX over UDP/IP) adapter for Project Lighthouse"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/fwcd/arthouse"

[dependencies.anyhow]
version = "1.0.81"

[dependencies.artnet_protocol]
version = "0.4.2"

[dependencies.clap]
version = "4.5.4"
features = [
    "derive",
    "env",
]

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.futures]
version = "0.3.30"

[dependencies.lighthouse-client]
version = "3.2.0"

[dependencies.socket2]
version = "0.5.6"

[dependencies.tokio]
version = "1.37.0"
features = [
    "rt-multi-thread",
    "macros",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-subscriber]
version = "0.3.18"
